| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::embed_footer Struct Reference

A footer in a dpp::embed. More...

`#include <message.h>`

Collaboration diagram for dpp::embed_footer:
[legend]

## Public Member Functions

embed_footer & | set_icon (std::string_view i)
| Set footer's icon url.
embed_footer & | set_proxy (std::string_view p)
| Set footer's proxied icon url.
embed_footer & | set_text (std::string_view t)
| Set footer's text.

## Public Attributes

std::string | icon_url
| Footer icon url.
std::string | proxy_url
| Proxied icon url.
std::string | text
| Footer text.

## Detailed Description

A footer in a dpp::embed.

## Member Function Documentation

## ◆ set_icon()

embed_footer & dpp::embed_footer::set_icon | ( | std::string_view | i | ) |

Set footer's icon url.

Parameters

  i | url to set as footer icon url

Returns
  A reference to self so this method may be "chained".

## ◆ set_proxy()

embed_footer & dpp::embed_footer::set_proxy | ( | std::string_view | p | ) |

Set footer's proxied icon url.

Parameters

  p | url to set as footer proxied icon url

Returns
  A reference to self so this method may be "chained".

## ◆ set_text()

embed_footer & dpp::embed_footer::set_text | ( | std::string_view | t | ) |

Set footer's text.

Parameters

  t | string to set as footer text. It will be truncated to the maximum length of 2048 UTF-8 characters.

Returns
  A reference to self so this method may be "chained".

## Member Data Documentation

## ◆ icon_url

std::string dpp::embed_footer::icon_url

Footer icon url.

Warning
  Only supports http(s) and attachments.

## ◆ proxy_url

std::string dpp::embed_footer::proxy_url

Proxied icon url.

## ◆ text

std::string dpp::embed_footer::text

Footer text.

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0